﻿// Kerbal Engineer Redux
// Author:  CYBUTEK
// License: Attribution-NonCommercial-ShareAlike 3.0 Unported

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Engineer
{
    public class ThrustToWeight
    {
        // Property containing the list which is used when in the BuildEngineer.
        public Dictionary<string, float> GravityList { get; private set; }

        public ThrustToWeight()
        {
            GravityList = new Dictionary<string, float>();

            // Populate the list which will be displayed in the Build Engineer.
            GravityList.Add("Kerbin", 9.8066f);
            GravityList.Add("Mun", 1.6284f);
            GravityList.Add("Minmus", 0.785f);
            GravityList.Add("Moho", 3.92f);
            GravityList.Add("Eve", 16.671305f);
            GravityList.Add("Gilly", 0.05f);
            GravityList.Add("Duna", 2.94f);
            GravityList.Add("Ike", 1.1f);
            GravityList.Add("Jool", 7.84f);
            GravityList.Add("Bop", 0.59f);
        }

        // Calculate thrust to weight ratios for all entities in GravityList.
        public List<float> GetRatios(float thrust, float weight, float gravity)
        {
            List<float> data = new List<float>();

            // Calculate the thrust to weight ratios and add to collection, index matched to GravityList containing the names.
            for (int i = 0; i < GravityList.Count; i++)
            {
                try
                {
                    data.Add(thrust / (weight * gravity));
                }
                catch { }
            }

            // Return a list containing thrust to weight ratios.
            return data;
        }
    }
}
